## flake 0.11

=== Makefile ===
--- 
+++ 
@@ -6,11 +6,10 @@
 VPATH=$(SRC_PATH)
 
 CFLAGS=$(OPTFLAGS) -I. -I$(SRC_PATH) -I$(SRC_PATH)/libflake \
-	-D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_ISOC9X_SOURCE
+	-D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_ISOC9X_SOURCE \
+	-DHAVE_CONFIG_H
 
 LDFLAGS+= -g
-
-DEP_LIBS=libflake/$(LIBPREF)flake$(LIBSUF)
 
 FLAKE_LIBDIRS = -L./libflake
 FLAKE_LIBS = -lflake$(BUILDSUF)
@@ -32,7 +31,6 @@
 
 install-progs: progs
 	$(MAKE) -C flake install
-	$(MAKE) -C util install
 
 install-libs:
 	$(MAKE) -C libflake install-libs
@@ -44,14 +42,12 @@
 
 uninstall-progs:
 	$(MAKE) -C flake uninstall-progs
-	$(MAKE) -C util uninstall-progs
 
 uninstall-libs:
 	$(MAKE) -C libflake uninstall-libs
 
 uninstall-headers:
 	$(MAKE) -C libflake uninstall-headers
-	-rmdir "$(incdir)"
 
 dep:	depend
 
@@ -59,10 +55,6 @@
 	$(MAKE) -C libflake depend
 	$(MAKE) -C flake    depend
 	$(MAKE) -C util     depend
-
-.libs: lib
-	@test -f .libs || touch .libs
-	@for i in $(DEP_LIBS) ; do if test $$i -nt .libs ; then touch .libs; fi ; done
 
 clean:
 	$(MAKE) -C libflake clean
