=== debian/control ===
Source: flake
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Free Ekanayaka <freee@debian.org>,
 Thomas Perl <thp@perli.net>,
 Alessio Treglia <alessio@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.2
Homepage: https://flake-enc.sourceforge.net/
Vcs-Git: https://salsa.debian.org/multimedia-team/flake.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/flake
Rules-Requires-Root: no

Package: flake
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Alternative encoder for the Free Lossless Audio Codec
 The purpose of Flake is to be an alternative to the
 FLAC reference encoder with the goal of increasing
 encoding speed and implementing experimental features.
 .
 Flake encodes WAV audio files into lossless FLAC files.

Package: libflake-dev
Architecture: any
Depends: ${misc:Depends}
Section: libdevel
Description: Alternative encoder for the Free Lossless Audio Codec -- Development files
 The purpose of Flake is to be an alternative to the
 FLAC reference encoder with the goal of increasing
 encoding speed and implementing experimental features.
 .
 Flake encodes WAV audio files into lossless FLAC files.
 .
 This package contains the static library and header files.
