=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk
-include /usr/share/dpkg/buildtools.mk

%:
	dh $@ --no-parallel

override_dh_auto_configure:
	CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" ./configure --cpu=$(DEB_HOST_ARCH) --cc=$(CC) $(if $(filter $(DEB_BUILD_ARCH),$(DEB_HOST_ARCH)),,--cross-compile) --disable-strip --prefix=/usr

override_dh_auto_install:
	DESTDIR=$(CURDIR)/debian/flake $(MAKE) install-progs
	DESTDIR=$(CURDIR)/debian/libflake-dev $(MAKE) install-libs install-headers

override_dh_installchangelogs:
	dh_installchangelogs Changelog
