=== debian/watch ===
version=4
https://sf.net/flake-enc/flake-([\d\.]*)\.tar\.bz2 debian uupdate
